URL structure
{configId} is the ID of a Covata Administration property.
Supported methods and overview
GET- used to retrieve the value of a Covata Administration property, based on this property’s ID.PUT- used to modify the value of a Covata Administration property.
The
GET method takes no parameters.Detailed description
This API endpoint serves a number of purposes:- Retrieves the value of a Covata Administration property, using this property’s ID. A Covata Administration property’s ID can be obtained by calling the <access-service>/api/v1/config/server API endpoint, which retrieves a list of field information for all configurable Covata Administration properties.
Tip: All information returned in the response from aGETmethod call to this API endpoint is also returned in the response from the <access-service>/api/v1/config/server endpoint. Therefore, there is no need to call theGETmethod on this API endpoint (if you do not already have the Covata Administration property’s ID). - Modifies the value of a Covata Administration property.
Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide): The Covata Platform’s resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Content-Type: application/json
Optional parameters
The following optional parameter can also be sent in the body of the PUT request, as an individual member of a JSON object:- propertyValue - . Example ():
{}
Returns
A JSON-formatted response containing the following members:- modified - .
- id - .
- propertyName - .
- propertyValue - .
- grouping - .
- propertyDescription - .
- configGroup - . Example (response from …):

